html {
    scroll-padding-top: 5rem;
    scroll-behavior: smooth;
}

body {
    margin: 0;
    font-family: ABeeZee, Arial, Helvetica, sans-serif;
    color: #ABDBE3;
    background-color: #121212;
}

h1:not(#landing h1), 
h2:not(#landing h2),
h3:not(#landing h3),
h4:not(#landing h4),
h5:not(#landing h5),
h6:not(#landing h6),
header a,
label {
  font-family: Audiowide, Arial, Helvetica, sans-serif;
}

@font-face {
    font-family: ABeeZee;
    src: url(/static/fonts/ABeeZee.ttf);
    font-display: swap;
 }
 @font-face {
    font-family: Audiowide;
    src: url(/static/fonts/Audiowide.ttf);
    font-display: swap;
 }
/* 
p:not(.wmde-markdown), 
a:not(.wmde-markdown), 
em:not(.wmde-markdown), 
input:not(.wmde-markdown), 
textarea:not(.wmde-markdown), 
.message:not(.wmde-markdown) {
    font-family: ABeeZee, Audiowide, Arial, Helvetica, sans-serif;
    color: #AEDEE6;
} */

main {
    color: #AEDEE6;
    width: 100%;
    background-color: #121212;
}

#main-text{
    padding-inline-start: 3vw;
    padding-inline-end: 3vw;
    display: flex;
    flex-direction: column;
}

.main-text {
    flex: 3;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
}

.skip-to-main {
    position: absolute;
    top: 3rem;
    left: 0;
    background: #1e81b0;
    color: #fff;
    z-index: 1000;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
}

.skip-to-main:focus {
    transform: translateX(0);
}

nav a:link, nav a:visited, a:link, a:visited {
    text-decoration: none;
}

a:hover, a:active, a:focus {
    text-decoration: none;
    text-shadow: 0px 20px 15px #1e81b0;
    transition: text-shadow 0.3s ease-in-out;
}

.links a {
    display: table;
    margin-right: auto;
    margin-left: auto;
    padding: 1em;
    background-color: #007bff;
    text-decoration: none;
    border-radius: 10px;
    transition: background-color 0.3s ease;
    margin-top:1em;
}

.links a:hover {
    background-color: #0056b3;
}

header:not(header.App-heaader) {
    position: sticky;
    top: 0;
    z-index: 9999;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 3rem;
    border-bottom: 2px solid rgba(30, 129, 176, 0.7);
    box-shadow: 0px 0px 15px rgba(30, 129, 176, 0.8);
    background-color: #121212;
}

header:hover, footer:hover {
    box-shadow: 0px 0px 30px rgba(30, 129, 176, 1);
}

header, footer {
    width: 100%;
    opacity: 0.9;
    padding: 0;
    border-image-source: linear-gradient(hsl(0 0% 7.1%/0.9), hsl(211 89.8% 23.1% /0.9));
    border-image-slice: fill 1;
    transition: box-shadow 0.3s ease-in-out;
}

footer{
    text-align: center;
}

a:focus, button:focus, button:hover, input:focus, textarea:focus,
.aboutsection a:hover, a.button:hover {
    outline: none;
    box-shadow: 0 0 10px #1e81b0, 0 0 20px #76b5c5;
}

a:focus {
    /*! text-decoration: underline; */
    background-color: rgba(30, 129, 176, 0.2);
}
button:focus {
    background-color: #154c79;
    color: white;
}

input:focus, textarea:focus {
    border: 2px solid #76b5c5;
    background-color: rgba(30, 129, 176, 0.2);
    color: #ABDBE3;
}

.overlay:focus {
    outline: 2px solid #1e81b0;
}

footer p {
    margin: auto;
    font-size: 0.9em;
    padding-top: 1em;
}

@keyframes glowMove {
    0% { box-shadow: 0px 0px 8px #1e81b0; }
    50% { box-shadow: 0px 0px 16px #76b5c5; }
    100% { box-shadow: 0px 0px 8px #1e81b0; }
}

/* 
 * TODO: remove these exclusion rules. 
 * theres no need for these exclusion rules once the pipe line test are done 
 */
header:not(header.App-heaader) img:not(.App-logo) {
    border-radius: 100%;
    padding: 0;
    margin-inline-start: 3vw;
    margin-inline-end: 2vw;
    border-inline: none;
    width: 30px;
}

header img:hover {
    animation: glowMove 2s infinite ease-in-out;
}

nav a, .nav-dropdown span {
    padding-inline: 2vw;
}

nav span{
    display: none;
}

@media (width < 690px) {
    .nav-links {
        display: none;
    }
    nav span {
        display: unset;
    }
}
.overlay {
    height: 0%;
    width: 100%;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    background-color: rgb(18,18,18);
    background-color: rgba(18,18,18, 0.9);
    overflow-x: hidden;
    transition: 0.5s;
    color: #48ACDA;
  }
  .overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: center;
    margin-top: 30px;
    font-size: x-large;
    display: grid;
    line-height: 3em;
  }

.overlay-content ul {
    list-style: none;
}
header a  {
    display: inline-flex;
    align-items: center;
    color:#ABDBE3;
}

header nav ul {
    display: inline-flex;
    list-style: none;
}


form {
    display: flex;
    flex-direction: column;
}

.form-container {
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    gap: 15px;
}

.form-group {
    display: flex;
    flex-direction: column;
}

label {
    margin-bottom: 1em;
    margin-top: 1em;
}

input, textarea {
    border: 2px solid #1e81b0;
    background: transparent;
    color: #ABDBE3;
    padding: 10px;
    border-radius: 4px;
    font-size: inherit;
    transition: box-shadow 0.3s ease-in-out;
}

input:focus, textarea:focus {
    outline: none;
    box-shadow: 0px 0px 12px #1e81b0;
}


textarea:not(.w-md-editor-text-input){
    resize: vertical;
    max-height: 50vh;
}

.content-container {
    display: flex;
    gap: 20px;
    border-radius: 8px;
    flex-wrap: wrap;
    margin: 20px auto;
    flex-direction: row-reverse;
}

@media screen and (max-width: 500px) {
    .content-container {
        /* flex-direction: column; */
    }
}

.sidebar {
    flex: 1;
    padding: 15px;
    padding-inline-start: 0;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    list-style:none;
}

.sidebar a {
    display: block;
    padding: 12px 16px;
    margin: 10px 0;
    background: linear-gradient(170deg, #063970, #1e81b0);
    color: #ABDBE3;
    font-size: 1rem;
    text-decoration: none;
    border-radius: 8px;
    text-align: center;
    font-weight: bold;
    transition: all 0.3s ease-in-out;
    box-shadow: 0px 4px 10px rgba(30, 129, 176, 0.3);
    border: 1px solid transparent;
}

.sidebar a:hover {
    background: linear-gradient(135deg, #1e81b0, #76b5c5);
    box-shadow: 0px 0px 12px #1e81b0, 0px 0px 24px #76b5c5;
    transform: translateY(-2px);
}

.sidebar a:focus {
    outline: none;
    border: 2px solid #76b5c5;
    box-shadow: 0 0 15px #76b5c5;
}

.sidebar a.active, .sidebar a:active {
    background: linear-gradient(135deg, #154c79, #1e81b0);
    box-shadow: 0px 4px 10px #76b5c5;
}

ul .sidebar {
    line-height: 2em;
}

#sidebar-container li {
    margin-bottom: 1em;
}   

.content-section {
    background: #f9f9f9;
    padding: 15px;
    border-radius: 8px;
}

button, .aboutsection a, a.button {
    padding: 1em;
    border: none;
    border-radius: 4px;
    background: linear-gradient(170deg, #063970, #1e81b0);
    color: #f9f9f9;
    cursor: pointer;
    margin-top: 2em;
    align-self: center;
}

button:hover, .aboutsection a:hover {
    background-color: #154c79;
}


form#contact-form button{
    font-size: medium;
}

.button-group {
    display: flex;
    gap: 10px;
}

.behavior-list {
    list-style-type: none;
    padding: 0;
}

.behavior-list li {
    background: #f9f9f9;
    padding: 10px;
    border-bottom: 1px solid #ddd;
}

.error-container {
    border: 1px solid #f5c6cb;
    background-color: #f8d7da;
    padding: 20px;
    border-radius: 5px;
    display: inline-block;
}

@media (max-height: 800px) AND (max-width: 800px) {
    div.contact-home {
        max-width: unset;
    }
}

.contact-home{
    margin: auto;
    max-width: 50rem;
}
.contact-wrapper{ 
    padding-bottom: 2rem;
}

#about img {
    width: max-content;
    border-radius: 40%;
    opacity: 0.8;
    height: 24rem;
}
.aboutsection {
   display: flex;
   flex-direction: column;  
   position: relative;
}
.aboutcontent{
    flex-direction: column;
}
.about-image{
    margin-top: 3rem;
}
.backdrop {
    padding: 0;
    border-image-source: linear-gradient(hsl(211 89.8% 23.1% /0.9),hsl(0 0% 7.1%/0.9));
    border-image-slice: fill 1;
}

@media screen and (height < 80vh) {
    .landing {
        height: unset;
    }
}
.landing-title {
    -webkit-text-stroke: hsl(0 0% 7.1%/0.9) ;
}
.landing{
    width: 100%;
    text-align: center;
    font-family: ABeeZee;
    display: flex;
    flex-direction: column;
    background-image: url('/static/images/istockphoto-2162568845-612x612.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    text-rendering: optimizeLegibility;
    margin: 0;
    padding: 0;
}
.landing h1 {
    letter-spacing: 0.05em;
    padding-top: 2rem;
    font-size: clamp(2.5rem, 5vw, 4rem);
}

.landing-heading h2 {
    letter-spacing: 0.04em;
    padding-top: 1.5rem;
    font-size: clamp(1.8rem, 4vw, 3rem);

}

.landing h1, .landing-heading h2 {
    color: #48ACDA;
    animation: pulse-glow ease-in-out;
    animation-duration: 3s;
    text-shadow: 0 0 1px #1e81b0, 0 0 0px #76b5c5;
    font-weight: bold;
    font-kerning: normal;
    text-transform: uppercase;
    transition: all 0.3s ease-in-out;
    margin: 0 auto;
    font-family: Audiowide, sans-serif;
}

@keyframes pulse-glow {
    0% {
        text-shadow: 0 0 2px #1e81b0, 0 0 10px #76b5c5;
    }
    30% {
        text-shadow: 0 0 10px #76b5c5, 0 0 20px #48ACDA;
    }
    100% {
        text-shadow: 0 0 1px #1e81b0, 0 0 0px #76b5c5;
    }
}
.landing-heading {
  animation: fadeSlideIn 1s ease-out forwards;
  opacity: 0;
  transform: translateY(-20px);
}

@keyframes fadeSlideIn {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.landing-heading h1::after {
    content: '';
    display: block;
    width: 0;
    height: 4px;
    background: #48ACDA;
    transition: width 0.8s ease;
    margin-top: 0.5rem;
    margin-left: auto;
    margin-right: auto;
}

.landing-heading h1:hover::after {
    width: 100%;
}

.landing .sidebar a{
    align-items: stretch;
    background: none;
    border:none;
    box-shadow: none;
}
.landing-heading{
    margin-top: 4rem;    
}
.services{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap:2rem;
    padding: 2rem;
    display: none;
}

.landing-links{
    font-size: clamp(1rem, 2vw, 1.5rem);
    bottom: 2rem;
    align-self: center;
    gap:50px;
}
.landing-links-wrapper{
    margin-top: 6rem;
    margin-bottom: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10%;
}
@keyframes bounce {
    0%, 100% { transform: translateY(0); }
    50% { transform: translateY(8px); }
  }


.schedule-call {
    color: #76b5c5;
    position: relative;
    font-weight: bold;
    font-family: Audiowide;
    text-decoration: none;
}

.schedule-call-odd::after {
    background: linear-gradient(to right, #1e81b0, #76b5c5);
}
.schedule-call-even::after {
    background: linear-gradient(to left, #1e81b0, #76b5c5) !important;;
}

.schedule-call::after {
    content: '';
    position: absolute;
    left: 0;
    bottom: -4px;
    background: linear-gradient(to right, #1e81b0, #76b5c5);
    width: 100%;
    height: 3px;
    box-shadow: 0 0 10px #1e81b0;
    transition: all 0.3s ease-in-out;
}
.schedule-call:hover::after {
    height: 5px;
    box-shadow: 0 0 15px #76b5c5, 0 0 30px #1e81b0;
}
i {
    animation: fadeSlideIn 1s ease-out forwards;
}
#chatbot-messages {
    margin-top: 20px;
}
/* Styles for the skills search section */
.modal-overlay {
    display: none;
    position: fixed;
    inset: 0;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    background-color: rgba(0, 0, 0, 0.9);
  }

.modal-content {
    background: #121212;
    color: #ABDBE3;
    padding: 2rem;
    border-radius: 8px;
    max-width: 500px;
    width: 100%;
    box-shadow: 0px 4px 10px rgba(30, 129, 176, 0.3), 0px 0px 12px #76b5c5;
  }

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-weight: bold;
    margin-bottom: 1rem;
  }

.close-btn {
    background: none;
    border: none;
    font-size: 1.5rem;
    cursor: pointer;
    align-self: end;
    margin: 0;
    padding: 0.4em;
}

.close-btn:hover, .close-btn:active, .close-btn:visited {
    background: none;
    box-shadow: none;
    border: none;
    text-decoration: none;
}